/*
  ==============================================================================

    This file was auto-generated!

    It contains the basic framework code for a JUCE plugin editor.

  ==============================================================================
*/

#include "PluginProcessor.h"
#include "PluginEditor.h"

//==============================================================================
ClassTestAudioProcessorEditor::ClassTestAudioProcessorEditor (ClassTestAudioProcessor& p)
    : AudioProcessorEditor (&p), processor (p)
{
    // Make sure that before the constructor has finished, you've set the
    // editor's size to whatever you need it to be.
    setSize (400, 300);
    
    gainSlider.setRange(-60.0, 12.0);
    gainSlider.setSliderStyle (Slider::RotaryHorizontalVerticalDrag);
    gainSlider.setTextBoxStyle (Slider::TextBoxBelow, false, 100, 20);
    addAndMakeVisible(&gainSlider);
    gainSlider.addListener(this);
    gainSliderAttachment = new AudioProcessorValueTreeState::SliderAttachment (processor.parameters, "gain", gainSlider);

    
}

ClassTestAudioProcessorEditor::~ClassTestAudioProcessorEditor()
{
    gainSliderAttachment = nullptr;
}

//==============================================================================
void ClassTestAudioProcessorEditor::paint (Graphics& g)
{
    // (Our component is opaque, so we must completely fill the background with a solid colour)
    g.fillAll (getLookAndFeel().findColour (ResizableWindow::backgroundColourId));

    g.setColour(Colours::blanchedalmond);
    g.drawRect(6, 6, 388, 288);
    g.setFont(20.0);
    g.setColour(Colours::limegreen);
    g.drawText(TRANS("gain"), 6, 126, 100, 20, Justification::centred); // left, top, width, height
    
  }

void ClassTestAudioProcessorEditor::resized()
{
    // This is generally where you'll want to lay out the positions of any
    // subcomponents in your editor..
    gainSlider.setBounds (6, 6, 100, 120); // left, top, width, height
}

void ClassTestAudioProcessorEditor::sliderValueChanged(Slider* sliderThatWasMoved)
{
 //   if(sliderThatWasMoved == &gainSlider)
 //       processor.gain = gainSlider.getValue() * 10.0;
}
